% ENM 2.2
% Denna kod skrevs på övningen 2017-09-14 i SF1514/18/19

clear
format long

% Funktionsdefinitioner med @-notation
f = @(x) exp(x)-10*cos(x);
fprim = @(x) exp(x)+10*sin(x);

xn=1; % startgissning
tol=1e-8; % tolerans
felet=Inf; % för att komma in i slingan (Infinity)
while felet > tol
    xnplus1 = xn - f(xn)/fprim(xn);
    %felet=abs(xn-xnplus1)/abs(xnplus1); % relativa felet
    felet=abs(xn-xnplus1) % absoluta felet
    xn = xnplus1;
end
xn

% Tumregel: vill man ha N korrekta decimaler ska man titta på
% absoluta felet, vill man ha N korrekta siffror ska man titta på
% relativa felet.
